%{?_with_sybase:%define sybver 12.5}

%define perl_vendorlib %(eval "`%{__perl} -V:installvendorlib`"; echo $installvendorlib)
%define perl_vendorarch %(eval "`%{__perl} -V:installvendorarch`"; echo $installvendorarch)

%define real_name DBD-Sybase
%define upstream_version 1.17

Summary: Sybase database driver for the DBI module
Name: perl-DBD-Sybase
Version: %{op5version}
Release: %{op5release}%{?dist}
License: Artistic 2.0
Group: Applications/CPAN
URL: https://metacpan.org/pod/DBD::Sybase
Provides: perl(DBD::Sybase) = %{upstream_version}

Source: https://cpan.metacpan.org/authors/id/M/ME/MEWP/%{real_name}-%{upstream_version}.tgz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Requires: perl

BuildRequires: perl(DBI) >= 1.627
BuildRequires: perl-ExtUtils-MakeMaker
%{!?_with_sybase:BuildRequires: freetds-devel}
%{?_with_sybase:BuildRequires: sybase-openclient >= %{sybver}}

%description
DBD::Sybase is a Perl module which works with the DBI module to provide access
to Sybase databases.

%prep
%setup -q -n %{real_name}-%{upstream_version}

%{__perl} -pi.orig -e '
    s|SYBASE/lib\b|SYBASE/%{_lib}|g;
    s|^configPwd.+||g;
' Makefile.PL

%build
%{!?_with_sybase:export SYBASE="/usr"}
%{?_with_sybase:export SYBASE="/opt/sybase-%{sybver}" SYBASE_OCS="OCS"}

CFLAGS="%{optflags}" %{__perl} Makefile.PL INSTALLDIRS="vendor" PREFIX="%{buildroot}%{_prefix}" \
    --chained="y" \
    --threaded_libs="n" \
    --accept_test_defaults
%make_build OPTIMIZE="%{optflags}"

# Fix shebangs in examples
for f in eg/*
do
	%{__sed} -i -e '1 s|^#!.*perl\(.*\)$|#!%{__perl}\1|' "$f"
done

%install
%{__rm} -rf %{buildroot}
%{__make} pure_install

### Clean up buildroot
find %{buildroot} -name .packlist -exec %{__rm} {} \;

### Clean up docs
find eg/ -type f -exec %{__chmod} a-x {} \;

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc BUGS CHANGES META.yml README README.freetds README.vms eg/
%doc %{_mandir}/man3/DBD::Sybase.3*
%dir %{perl_vendorarch}/auto/DBD/
%{perl_vendorarch}/auto/DBD/Sybase/
%dir %{perl_vendorarch}/DBD/
%{perl_vendorarch}/DBD/Sybase.pm
%exclude %{perl_vendorarch}/DBD/dbd-sybase.pod

%changelog
* Tue Jan 25 2011 Dag Wieers <dag@wieers.com> - 1.10-1
- Updated to release 1.10.

* Tue Oct 07 2008 Dag Wieers <dag@wieers.com> - 1.09-1
- Updated to release 1.09.

* Fri Oct 05 2007 Dag Wieers <dag@wieers.com> - 1.08-1
- Added fixes for Sybase and freetds compilation. (Tom G. Christensen)
- Initial package. (using DAR)
